function [prcdata]=select_prc_columns()
%selects from data.txt file last columns responsible for precipitation
% data.txt file is the result of processing of synoptic ('aaxx') observations (code FM SYNOP)
% it consists of the following columns:
%date	time	snum	wdir	wspd	wndu	wndv	tmpv	dptv	prsh	prss	prta	prtv	wtrc	wtrp	visi	cldb	cldc	csum	clow	cmid	chig	maxv	minv	grst	grtv	snst	sndp	pref	rn1t	rn1v	rn3t	rn3v	rn5t	rn5v	rnsum
% out of these columnts only  date, time and rn1t	rn1v	rn3t	rn3v,
% rn5v, rn5t are stored. 
% Here rn1t is time interval through which precipitation was collected,
% rn1v is precipitation collected; rn3* rn5* is the same. They are stored
% in different columnts because they come from different parts of aaxx
% code; 

fname='data.txt';

format='%s %s %d %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %f %f %f %f %f %f %f';

fid=fopen(fname);
C = textscan(fid,format);

% delete all columns except first 3 and last 7
for i=4:size(C,2)-7
    C(:,4)=[];
end
% delete last column
C(:,size(C,2))=[];

prcdata=cell2struct(C,{'date','time','wmoid','rn1t','rn1v','rn3t', 'rn3v', 'rn5t', 'rn5v'},2);



